Bug 188655 - [MAINTAINER] net-p2p/bitcoin: update to 0.9.1 - Remove Heartbleed vulnerability
[MAINTAINER] net-p2p/bitcoin: update to 0.9.1 - Remove Heartbleed vulnerability
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-15 13:30 UTC by robbak
Modified: 2014-04-16 17:20 UTC (History)
0 users

See Also:


Attachments
bitcoin-0.9.1.patch (8.58 KB, patch)
2014-04-15 13:30 UTC, robbak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description robbak 2014-04-15 13:30:00 UTC
- Update to 0.9.1

Versoin 0.9.0 used a vulnerable version of OpenSSL. This update bundles the fixed update to 
OpenSSL.

This patch includes the much needed update from 0.8.6 that has been submitted by not applied. 
0.8.6 also has errors in programming and design. That version used the qmake system that 
needed a number of patches to work - this program now uses gnu .configure, so all those 
patches have been removed.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-15 13:30:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-04-16 17:12:08 UTC
Author: swills
Date: Wed Apr 16 16:12:04 2014
New Revision: 351398
URL: http://svnweb.freebsd.org/changeset/ports/351398
QAT: https://qat.redports.org/buildarchive/r351398/

Log:
  - Update to 0.9.1
  
  PR:		ports/188655
  Submitted by:	Robert Backahus <robbak@robbak.com> (maintainer)

Added:
  head/net-p2p/bitcoin/files/patch-compat-h.patch   (contents, props changed)
Deleted:
  head/net-p2p/bitcoin/files/patch-bitcoin-qt_pro-Add_boost-crypto
  head/net-p2p/bitcoin/files/patch-makefile_unix-Add_boost-crypto
  head/net-p2p/bitcoin/files/patch-src__serialize.h
Modified:
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin/distinfo

Modified: head/net-p2p/bitcoin/Makefile
==============================================================================
--- head/net-p2p/bitcoin/Makefile	Wed Apr 16 15:26:07 2014	(r351397)
+++ head/net-p2p/bitcoin/Makefile	Wed Apr 16 16:12:04 2014	(r351398)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	bitcoin
-PORTVERSION=	0.8.6
-PORTREVISION=	1
+PORTVERSION=	0.9.1
 CATEGORIES=	net-p2p finance
 MASTER_SITES=	${MASTER_SITE_LOCAL} \
 		http://people.freebsd.org/~swills/ \
@@ -12,84 +11,85 @@ MASTER_SITES=	${MASTER_SITE_LOCAL} \
 MAINTAINER=	robbak@robbak.com
 COMMENT=	Virtual Peer-to-Peer Currency Client
 
+LICENSE=	MIT
+
+BUILD_DEPENDS=	protoc:${PORTSDIR}/devel/protobuf \
+				pkg-config:${PORTSDIR}/devel/pkgconf
 LIB_DEPENDS=	libboost_date_time.so:${PORTSDIR}/devel/boost-libs
 
-OPTIONS_DEFINE=	GUI UPNP QRCODES
-OPTIONS_DEFAULT=	GUI QRCODES
+OPTIONS_DEFINE=	GUI WALLET UPNP QRCODES
+OPTIONS_DEFAULT=	GUI WALLET QRCODES
 
-GUI_DESC=	Build as a QT4 GUI
+GUI_DESC=	Build and install the QT4 binary
+WALLET_DESC=	Build the binaries with support to create and manage a wallet.
 UPNP_DESC=	Build with UPNP support
 QRCODES_DESC=	Build with QR code display
 
+AUTOMAKE_ARGS+=	--add-missing
+USE_AUTOTOOLS=	aclocal autoheader automake autoconf
+#ACLOCAL_ARGS=	-I ${LOCALBASE}/share/aclocal
+CONFIGURE_ENV=	SSL_LIBS="-lssl" CRYPTO_LIBS="-lcrypto" SSL_CFLAGS="-I/usr/include" CRYPTO_CFLAGS="-I/usr/include"
+
 USE_GITHUB=	yes
 GH_ACCOUNT=	bitcoin
 GH_PROJECT=	bitcoin
-GH_COMMIT=	15e2837
+GH_COMMIT=	66a2ae9
 GH_TAGNAME=	v${PORTVERSION}
 
-USES=		gmake
+USES=			gmake
 USE_OPENSSL=	yes
-USE_BDB=	yes
+USE_BDB=		yes
 WANT_BDB_VER=	48
 
 CXXFLAGS+=	-I${LOCALBASE}/include -I${BDB_INCLUDE_DIR}
 CXXFLAGS+=	-L${LOCALBASE}/lib -L${BDB_LIB_DIR}
 CXXFLAGS+=	-Wno-invalid-offsetof
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
+CONFIGURE_ARGS+=--disable-tests
+
 .if ${PORT_OPTIONS:MGUI} && !defined(WITHOUT_X11)
-USE_QT4=	corelib gui qmake_build linguist uic moc rcc
-BINARY=		bitcoin-qt
+USE_QT4=	corelib gui qmake_build linguist uic moc rcc qtestlib_build
+USES+=		desktop-file-utils
+PLIST_FILES=	%%QT_BINDIR%%/bitcoin-qt %%QT_BINDIR%%/bitcoind %%QT_BINDIR%%/bitcoin-cli
+PLIST_FILES+=	share/applications/bitcoin-qt.desktop share/pixmaps/bitcoin128.png
+CONFIGURE_ARGS+=--with-gui
 .else
-BINARY=		bitcoind
-ALL_TARGET=	${BINARY} test
-MAKE_ARGS+=	-C ${WRKSRC}/src
+PLIST_FILES=		bin/bitcoind bin/bitcoin-cli
+CONFIGURE_ARGS+=--without-gui
 .endif
 
 .if ${PORT_OPTIONS:MQRCODES}
 LIB_DEPENDS+=	libqrencode.so:${PORTSDIR}/graphics/libqrencode
-QMAKE_USE_QRCODE=1
+CONFIGURE_ARGS+=--with-qrencode
 .else
-QMAKE_USE_QRCODE=0
+CONFIGURE_ARGS+=--without-qrencode
 .endif
 
-PLIST_FILES=	bin/${BINARY}
-
 .if ${PORT_OPTIONS:MUPNP}
 LIB_DEPENDS+=	libminiupnpc.so:${PORTSDIR}/net/miniupnpc
-QMAKE_USE_UPNP=	1
+CONFIGURE_ARGS+=--with-miniupnpc
+.else
+CONFIGURE_ARGS+=--without-miniupnpc
+.endif
+
+.if ${PORT_OPTIONS:MWALLET}
+CONFIGURE_ARGS+=--enable-wallet
 .else
-QMAKE_USE_UPNP=	-
+CONFIGURE_ARGS+=--disable-wallet
 .endif
 
 .include <bsd.port.pre.mk>
 
 post-patch:
-.if !${PORT_OPTIONS:MGUI} || defined(WITHOUT_X11)
-	@cd ${WRKSRC}/src && ${CP} -p makefile.unix Makefile
-	@${REINPLACE_CMD} \
-		-e 's|^USE_UPNP.*$$|USE_UPNP=${QMAKE_USE_UPNP}|' \
-		-e 's|-l pthread|${PTHREAD_LIBS}|g' \
-		-e 's:-l dl::' \
-		${WRKSRC}/src/Makefile
-.endif
-
-do-configure:
-.if ${PORT_OPTIONS:MGUI} && !defined(WITHOUT_X11)
-	cd ${WRKSRC} && ${SETENV} ${QMAKE_ENV} \
-		${QMAKE} ${QMAKE_ARGS} USE_UPNP=${QMAKE_USE_UPNP} USE_QRCODE=${QMAKE_USE_QRCODE} \
-		QMAKE_LRELEASE=${LRELEASE} INCLUDEPATH=${BDB_INCLUDE_DIR} \
-		QMAKE_LIBDIR+=${BDB_LIB_DIR} bitcoin-qt.pro
-.endif
+	${MKDIR} ${WRKSRC}/src/build-aux
 
-do-install:
-	@${MKDIR} ${PREFIX}/bin
+post-install:
 .if ${PORT_OPTIONS:MGUI} && !defined(WITHOUT_X11)
-	${INSTALL_PROGRAM} ${WRKSRC}/${BINARY} ${PREFIX}/bin/
-.else
-	${INSTALL_PROGRAM} ${WRKSRC}/src/${BINARY} ${PREFIX}/bin/
+	${REINPLACE_CMD} -e 's,=/usr,=${PREFIX},' ${WRKSRC}/contrib/debian/bitcoin-qt.desktop
+	${INSTALL} ${WRKSRC}/contrib/debian/bitcoin-qt.desktop ${STAGEDIR}${PREFIX}/share/applications
+	${INSTALL} ${WRKSRC}/share/pixmaps/bitcoin128.png ${STAGEDIR}${PREFIX}/share/pixmaps/
 .endif
 
 .include <bsd.port.post.mk>

Modified: head/net-p2p/bitcoin/distinfo
==============================================================================
--- head/net-p2p/bitcoin/distinfo	Wed Apr 16 15:26:07 2014	(r351397)
+++ head/net-p2p/bitcoin/distinfo	Wed Apr 16 16:12:04 2014	(r351398)
@@ -1,2 +1,2 @@
-SHA256 (bitcoin-0.8.6.tar.gz) = 0703ce3fce77b63bce11388790176f5626b521b7403d72db1ed452c692fdc55d
-SIZE (bitcoin-0.8.6.tar.gz) = 3194755
+SHA256 (bitcoin-0.9.1.tar.gz) = aad8a764c0dbfa716437a6a61ac5bf33ba9d210652d3c08b1eb460e3eb76a08a
+SIZE (bitcoin-0.9.1.tar.gz) = 4022647

Added: head/net-p2p/bitcoin/files/patch-compat-h.patch
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-p2p/bitcoin/files/patch-compat-h.patch	Wed Apr 16 16:12:04 2014	(r351398)
@@ -0,0 +1,18 @@
+--- src/compat.h.orig	2014-03-31 19:12:15.000000000 +1000
++++ src/compat.h	2014-03-31 19:12:39.000000000 +1000
+@@ -30,6 +30,7 @@
+ #else
+ #include <sys/types.h>
+ #include <arpa/inet.h>
++#include <sys/socket.h>
+ #include <ifaddrs.h>
+ #include <limits.h>
+ #include <net/if.h>
+@@ -37,7 +38,6 @@
+ #include <netinet/in.h>
+ #include <sys/fcntl.h>
+ #include <sys/mman.h>
+-#include <sys/socket.h>
+ #include <unistd.h>
+ #endif
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2014-04-16 17:12:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!